Bug 49085 - Needs itself as a BuildReq
Summary: Needs itself as a BuildReq
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: emacs   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-13 14:20 UTC by Enrico Scholz
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-13 22:18:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-07-13 14:20:42 UTC
Description of Problem:

The emacs-package tries to build Gnus in its %install stage. Without an
already installed emacs this step fails.

My suggestion is to split gnus into an own package or to add a
`BuildRequires: emacs' to the emacs spec-file.


How Reproducible:

everytime

Steps to Reproduce:
1. remove all emacs-packages
2. rpm --rebuild emacs-20.7-40.src.rpm


Actual Results:

W3DIR=no lispdir=/var/tmp/emacs-20.7-root/usr/share/emacs/site-lisp
srcdir=. emacs -batch -q -no-site-file -l ./dgnushack.el -f dgnushack-compile
/bin/sh: emacs: command not found
make[1]: *** [all] Error 127
make[1]: Leaving directory `/var/volatile/rpm/BUILD/emacs-20.7/gnus-5.8.8/lisp'
make: *** [lick] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.99036 (%install)
    Bad exit status from /var/tmp/rpm-tmp.99036 (%install)

Comment 1 Trond Eivind Glomsrxd 2001-07-13 21:46:00 UTC
Needs to be fixed, without buildrequiring emacs.

Comment 2 Glen Foster 2001-07-13 22:18:52 UTC
This defect considered SHOULD-FIX for Fairfax gold-release.

Comment 3 Trond Eivind Glomsrxd 2001-07-31 04:26:32 UTC
Fixed in emacs 20.7-41


Note You need to log in before you can comment on or make changes to this bug.